Rockbox.org home
release
dev builds
extras
themes manual
wiki
device status forums
mailing lists
IRC bugs
patches
dev guide



Rockbox mail archive

Subject: Re: I dont think the flashing tool should be a plugin..
From: idc-dragon_at_gmx.de
Date: 2003-07-25


> .. i think it should be built into the main firmware. The reason being
> that its a PITA when you get incompatable version error.

What is a pita?

> When I re-build the daily release, I like to put the .ucl find on the JB
> and
> update all the .rocks.
>
> At the moment, I need to keep the old rockboxflash.rock somewhere else,
> for
> the job of flashing.

I know, same procedure applies to me, too. We need to update the rocks
_after_ flashing. I hope the plugins won't get incompatible so often any more,
when the new min-version check is in (just adding stuff won't break the
plungins).

> It would be much nicer if I could just flash from the firmware, with
> having
> to worry about the version of the flasher I have

I'm hesitant to do that. The flasher contains potentially dangerous code,
like erasing a flash sector. When Rockbox crashes, I don't want it to
accidently come by there. The plugin code is only temporary in, more comforting.

On the other hand, Rockbox contains "dangerous" code already, since it can
write to the disk.

Jörg

-- 
+++ GMX - Mail, Messaging & more  http://www.gmx.net +++

Jetzt ein- oder umsteigen und USB-Speicheruhr als Prämie sichern!



Page was last modified "Jan 10 2012" The Rockbox Crew
aaa